SYNC_MEMBERS(8)

NAME
sync_members - Synchronize a Mailman mailing list's membership with a flat file.

SYNOPSIS
sync_members [options] -f file listname

DESCRIPTION
This script is useful if you have a Mailman mailing list and a sendmail :include: style list of addresses (also as is used in Majordomo). For every address in the file that does not appear in the mailing list, the address is added. For every address in the mailing list that does not appear in the file, the address is removed. Other options control what happens when an address is added or removed.

OPTIONS

-n, --no-change
    Don't actually make the changes. Instead, print out what would be done to the list.

-w={ yes | no }, --welcome-msg={ yes | no }
    Sets whether or not to send the newly added members a welcome message, overriding whatever the list's `send_welcome_msg' setting is. With -w=yes or -w, the welcome message is sent. With -w=no, no message is sent.

-g={ yes | no }, --goodbye-msg={ yes | no }
    Sets whether or not to send the goodbye message to removed members, overriding whatever the list's `send_goodbye_msg' setting is. With -g=yes or -g, the goodbye message is sent. With -g=no, no message is sent.

-d={ yes | no }, --digest={ yes | no }
    Selects whether to make newly added members receive messages in digests. With -d=yes or -d, they become digest members. With -d=no (or if no -d option given) they are added as regular members.

-a={ yes | no }, --notifyadmin={ yes | no }
    Specifies whether the admin should be notified for each subscription or unsubscription. If you're adding a lot of addresses, you definitely want to turn this off! With -a=yes or -a, the admin is notified. With -a=no, the admin is not notified. With no -a option, the default for the list is used.

-f=filename, --file=filename
    This option is required. It specifies the flat file to synchronize against. Email addresses must appear one per line. If filename is `-' then stdin is used.

-h, --help
    Print a small help text and exit.

listname specifies the list to synchronize.

AUTHOR
Author of Mailman is the Mailman Cabal, see http://www.list.org/ for information. This manpage is written by Tollef Fog Heen <tfheen@debian.org> for Debian, but may be used by others.

SEE ALSO
Mailman documentation on http://www.list.org/ and in /usr/share/doc/mailman.